local createCompositionMAIN = nil
---------------------------------------------------------------------------------------
local PREFIX_PATH = "data/Texture/Scenes/08a_street_pavilion/main/anim/z_hat/"
---------------------------------------------------------------------------------------
function Loader_08_Zoom_Hat_Animations(parent)
	return CreateAnimationLoadingRoutine(parent, PREFIX_PATH,
		{
    			CreateCompositionLoader(createCompositionMAIN,		                'action',		        0,0, 20, 192,256, false),
		},
		{
			function (element, textureName)
			end,
		});
end
---------------------------------------------------------------------------------------
createCompositionMAIN = function()
	local compositionMAIN = CreateCompositionSequence()
	local compositionDuration = 2
	compositionMAIN:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."z_hat_item.png")
	element:SetName("Layer_1")
	compositionMAIN:AddElement(element)
	element:SetHotSpot(194, 249)
	element:SetParentElement(compositionMAIN)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2)
	effector:SetKey(_TRACK_X, 0, 192)
	effector:SetKey(_TRACK_Y, 0, 247)
	effector:SetKey(_TRACK_X, 0.19999186197917, 175.166272587342)
	effector:SetKey(_TRACK_Y, 0.19999186197917, 177.601075421266)
	effector:SetKey(_TRACK_X, 0.39998372395833, 157.65856732626)
	effector:SetKey(_TRACK_Y, 0.39998372395833, 108.377553741701)
	effector:SetKey(_TRACK_X, 0.5, 147.999999906525)
	effector:SetKey(_TRACK_Y, 0.5, 74.0000005597003)
	effector:SetKey(_TRACK_X, 0.60001627604167, 147.5641692519)
	effector:SetKey(_TRACK_Y, 0.60001627604167, 155.620479400574)
	effector:SetKey(_TRACK_X, 0.80000813802083, 145.172447160534)
	effector:SetKey(_TRACK_Y, 0.80000813802083, 318.823236413237)
	effector:SetKey(_TRACK_X, 1, 142.453392255729)
	effector:SetKey(_TRACK_Y, 1, 482.019994644383)
	effector:SetKey(_TRACK_X, 1.19999186197917, 139.619640696812)
	effector:SetKey(_TRACK_Y, 1.19999186197917, 645.204653804003)
	effector:SetKey(_TRACK_X, 1.39998372395833, 136.780160956463)
	effector:SetKey(_TRACK_Y, 1.39998372395833, 808.386193582379)
	effector:SetKey(_TRACK_X, 1.45833333333333, 136)
	effector:SetKey(_TRACK_Y, 1.45833333333333, 856)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 0.25, 0.47996554375)
	effector:SetKey(_TRACK_A, 0.5, 0.187622894375)
	effector:SetKey(_TRACK_A, 1.5, -3.83972435)
	effector:Play()
 
	compositionMAIN:Play()
 
	return compositionMAIN
end
 
